petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionGetPermutation

Returns the permutation of [0, pEnd-pStart) or NULL

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetPermutation(PetscSection s, IS *perm)

Not collective

### Input Parameter

s -the PetscSection

### Output Parameters

perm -The permutation as an IS

### See Also

PetscSectionSetPermutation(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages